> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List people

> 
 Returns a list of people associated with a given account.
 
 You can use the ```include``` parameter to retrieve additional details about people.
  



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json get /people
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /people:
    get:
      tags:
        - People
      summary: List people
      description: |2-

         Returns a list of people associated with a given account.
         
         You can use the ```include``` parameter to retrieve additional details about people.
          
      operationId: findAllPeople
      parameters:
        - name: accountId
          in: query
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
          required: true
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 100000
            example: 100
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
        - name: search
          in: query
          schema:
            description: The term to search the records for.
            type:
              - string
            maxLength: 100
            example: Cesar+Treutel
        - name: status
          in: query
          schema:
            description: >-
              Filter people by their status on the account. Use commas to pass
              multiple values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - active
                    - deactivated
                    - created
                    - invited
                    - inviteExpired
            enum:
              - active
              - deactivated
              - created
              - invited
              - inviteExpired
            example: active,deactivated
        - name: teams
          in: query
          schema:
            description: Filter people by team.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: addresses
          in: query
          schema:
            description: Filter people by address.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: roles
          in: query
          schema:
            description: Filter people by role.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: roleNames
          in: query
          schema:
            description: >-
              Filter people by role name. Use commas to pass multiple values.
              Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
            example: owner,admin
        - name: people
          in: query
          schema:
            description: >-
              Filter people by ```personId```. Use commas to pass multiple
              values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: budgetId
          in: query
          schema:
            description: The list of IDs of the Budgets to work with
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: withoutIndividualBudget
          in: query
          schema:
            description: Filter people without an individual budget.
            type:
              - string
            enum:
              - 'true'
              - 'false'
        - name: include
          in: query
          schema:
            description: Optional embeds to include when returning people.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - persona.addresses
                    - persona.createdBy
                    - persona.teams
                    - persona.primaryOwnerOf
                    - persona.roles
                    - address
            enum:
              - persona.addresses
              - persona.createdBy
              - persona.teams
              - persona.primaryOwnerOf
              - persona.roles
              - address
            example: persona.addresses
        - name: canBeIssuedIndividualCard
          in: query
          schema:
            description: >-
              If true, the endpoint returns only people who can be issued an
              individual card.
            type:
              - string
            enum:
              - 'true'
              - 'false'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                        firstName:
                          type:
                            - string
                          maxLength: 256
                          example: Dolly
                        lastName:
                          type:
                            - string
                          maxLength: 256
                          example: Parton
                        title:
                          type:
                            - string
                            - 'null'
                          enum:
                            - Master
                            - Mr
                            - Miss
                            - Mrs
                            - Ms
                            - Mx
                        middleInitials:
                          type:
                            - string
                            - 'null'
                          maxLength: 10
                          example: R
                        dob:
                          type:
                            - string
                            - 'null'
                          example: '1946-01-19'
                        gender:
                          type:
                            - string
                            - 'null'
                          maxLength: 20
                          example: Female
                        nationality:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          example: US
                          deprecated: true
                        nationalities:
                          type:
                            - array
                            - 'null'
                          items:
                            type:
                              - string
                            enum:
                              - AD
                              - AE
                              - AF
                              - AG
                              - AI
                              - AL
                              - AM
                              - AO
                              - AQ
                              - AR
                              - AS
                              - AT
                              - AU
                              - AW
                              - AX
                              - AZ
                              - BA
                              - BB
                              - BD
                              - BE
                              - BF
                              - BG
                              - BH
                              - BI
                              - BJ
                              - BL
                              - BM
                              - BN
                              - BO
                              - BQ
                              - BR
                              - BS
                              - BT
                              - BV
                              - BW
                              - BY
                              - BZ
                              - CA
                              - CC
                              - CD
                              - CF
                              - CG
                              - CH
                              - CI
                              - CK
                              - CL
                              - CM
                              - CN
                              - CO
                              - CR
                              - CU
                              - CV
                              - CW
                              - CX
                              - CY
                              - CZ
                              - DE
                              - DJ
                              - DK
                              - DM
                              - DO
                              - DZ
                              - EC
                              - EE
                              - EG
                              - EH
                              - ER
                              - ES
                              - ET
                              - FI
                              - FJ
                              - FK
                              - FM
                              - FO
                              - FR
                              - GA
                              - GB
                              - GD
                              - GE
                              - GF
                              - GG
                              - GH
                              - GI
                              - GL
                              - GM
                              - GN
                              - GP
                              - GQ
                              - GR
                              - GS
                              - GT
                              - GU
                              - GW
                              - GY
                              - HK
                              - HM
                              - HN
                              - HR
                              - HT
                              - HU
                              - ID
                              - IE
                              - IL
                              - IM
                              - IN
                              - IO
                              - IQ
                              - IR
                              - IS
                              - IT
                              - JE
                              - JM
                              - JO
                              - JP
                              - KE
                              - KG
                              - KH
                              - KI
                              - KM
                              - KN
                              - KP
                              - KR
                              - KW
                              - KY
                              - KZ
                              - LA
                              - LB
                              - LC
                              - LI
                              - LK
                              - LR
                              - LS
                              - LT
                              - LU
                              - LV
                              - LY
                              - MA
                              - MC
                              - MD
                              - ME
                              - MF
                              - MG
                              - MH
                              - MK
                              - ML
                              - MM
                              - MN
                              - MO
                              - MP
                              - MQ
                              - MR
                              - MS
                              - MT
                              - MU
                              - MV
                              - MW
                              - MX
                              - MY
                              - MZ
                              - NA
                              - NC
                              - NE
                              - NF
                              - NG
                              - NI
                              - NL
                              - 'NO'
                              - NP
                              - NR
                              - NU
                              - NZ
                              - OM
                              - PA
                              - PE
                              - PF
                              - PG
                              - PH
                              - PK
                              - PL
                              - PM
                              - PN
                              - PR
                              - PS
                              - PT
                              - PW
                              - PY
                              - QA
                              - RE
                              - RO
                              - RS
                              - RU
                              - RW
                              - SA
                              - SB
                              - SC
                              - SD
                              - SE
                              - SG
                              - SH
                              - SI
                              - SJ
                              - SK
                              - SL
                              - SM
                              - SN
                              - SO
                              - SR
                              - SS
                              - ST
                              - SV
                              - SX
                              - SY
                              - SZ
                              - TC
                              - TD
                              - TF
                              - TG
                              - TH
                              - TJ
                              - TK
                              - TL
                              - TM
                              - TN
                              - TO
                              - TR
                              - TT
                              - TV
                              - TW
                              - TZ
                              - UA
                              - UG
                              - UM
                              - US
                              - UY
                              - UZ
                              - VA
                              - VC
                              - VE
                              - VG
                              - VI
                              - VN
                              - VU
                              - WF
                              - WS
                              - XK
                              - YE
                              - YT
                              - ZA
                              - ZM
                              - ZW
                            example: GB
                          description: >-
                            Array of ISO 3166-1 alpha-2 country codes
                            representing person nationalities
                        countryOfResidence:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          example: US
                        primaryMobileNumber:
                          type:
                            - string
                            - 'null'
                          maxLength: 50
                          example: '+447798121212'
                        primaryEmailAddress:
                          type:
                            - string
                          format: email
                          maxLength: 256
                          description: The primary email address for this person.
                          example: test@equalsqa.com
                        avatar:
                          type:
                            - object
                          properties:
                            url:
                              type:
                                - string
                            fileName:
                              type:
                                - string
                        sendInvite:
                          type:
                            - boolean
                          description: Send the invite now
                        roleId:
                          type:
                            - string
                          format: uuid
                        verifyEmailAddress:
                          default: true
                          type:
                            - boolean
                        verifyMobileNumber:
                          default: true
                          type:
                            - boolean
                        sub:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The Cognito ID of the person to work with.
                          example: >-
                            8e214819-5c83-429f-a976-eb127a0a8a88 or
                            auth0|12345a6b7890c1def1234dg5
                        hasPeopleCard:
                          type:
                            - boolean
                          description: >-
                            Indicates whether this person has an individual
                            card.
                        card:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type:
                                - string
                              format: uuid
                              description: The id of the card
                          required:
                            - id
                          description: >-
                            The individual card object if the person has an
                            individual card
                        status:
                          type:
                            - string
                          enum:
                            - active
                            - deactivated
                            - kycReferred
                            - rejected
                        locale:
                          type:
                            - string
                            - 'null'
                          enum:
                            - en-GB
                          description: >-
                            Determines customer communication language. emails,
                            notifications, etc.
                          example: en-GB
                        productId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the product to work with.
                          example: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                        avatarId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                        avatarCdnUrl:
                          type:
                            - string
                            - 'null'
                        emailTheme:
                          type:
                            - string
                            - 'null'
                          maxLength: 32
                        preferred2FAMethod:
                          type:
                            - string
                            - 'null'
                          enum:
                            - whatsapp
                            - sms
                        persona:
                          type:
                            - object
                          properties: {}
                          additionalProperties: true
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                        address:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type:
                                - string
                              format: uuid
                            personId:
                              description: The ID of the person to work with.
                              type:
                                - string
                              format: uuid
                              maxLength: 36
                              example: 775596ae-2624-40af-a9dc-9756110a4a04
                            streetName:
                              type:
                                - string
                                - 'null'
                              maxLength: 255
                              description: The street name of the person's address.
                              example: Great Building
                            buildingNumber:
                              type:
                                - string
                                - 'null'
                              maxLength: 50
                              description: The building number of the person's address.
                              example: '10'
                            buildingName:
                              type:
                                - string
                                - 'null'
                              maxLength: 255
                              description: The building name of the person's address.
                              example: Greater Building
                            postcode:
                              type:
                                - string
                                - 'null'
                              maxLength: 50
                              description: The postal or ZIP code of the person's address.
                              example: SE13UB
                            city:
                              type:
                                - string
                                - 'null'
                              maxLength: 255
                              description: The town or city of the person's address.
                              example: My Town
                            region:
                              type:
                                - string
                                - 'null'
                              maxLength: 255
                              description: The region of the person's address.
                              example: Greater London
                            countryCode:
                              type:
                                - string
                                - 'null'
                              enum:
                                - AD
                                - AE
                                - AF
                                - AG
                                - AI
                                - AL
                                - AM
                                - AO
                                - AQ
                                - AR
                                - AS
                                - AT
                                - AU
                                - AW
                                - AX
                                - AZ
                                - BA
                                - BB
                                - BD
                                - BE
                                - BF
                                - BG
                                - BH
                                - BI
                                - BJ
                                - BL
                                - BM
                                - BN
                                - BO
                                - BQ
                                - BR
                                - BS
                                - BT
                                - BV
                                - BW
                                - BY
                                - BZ
                                - CA
                                - CC
                                - CD
                                - CF
                                - CG
                                - CH
                                - CI
                                - CK
                                - CL
                                - CM
                                - CN
                                - CO
                                - CR
                                - CU
                                - CV
                                - CW
                                - CX
                                - CY
                                - CZ
                                - DE
                                - DJ
                                - DK
                                - DM
                                - DO
                                - DZ
                                - EC
                                - EE
                                - EG
                                - EH
                                - ER
                                - ES
                                - ET
                                - FI
                                - FJ
                                - FK
                                - FM
                                - FO
                                - FR
                                - GA
                                - GB
                                - GD
                                - GE
                                - GF
                                - GG
                                - GH
                                - GI
                                - GL
                                - GM
                                - GN
                                - GP
                                - GQ
                                - GR
                                - GS
                                - GT
                                - GU
                                - GW
                                - GY
                                - HK
                                - HM
                                - HN
                                - HR
                                - HT
                                - HU
                                - ID
                                - IE
                                - IL
                                - IM
                                - IN
                                - IO
                                - IQ
                                - IR
                                - IS
                                - IT
                                - JE
                                - JM
                                - JO
                                - JP
                                - KE
                                - KG
                                - KH
                                - KI
                                - KM
                                - KN
                                - KP
                                - KR
                                - KW
                                - KY
                                - KZ
                                - LA
                                - LB
                                - LC
                                - LI
                                - LK
                                - LR
                                - LS
                                - LT
                                - LU
                                - LV
                                - LY
                                - MA
                                - MC
                                - MD
                                - ME
                                - MF
                                - MG
                                - MH
                                - MK
                                - ML
                                - MM
                                - MN
                                - MO
                                - MP
                                - MQ
                                - MR
                                - MS
                                - MT
                                - MU
                                - MV
                                - MW
                                - MX
                                - MY
                                - MZ
                                - NA
                                - NC
                                - NE
                                - NF
                                - NG
                                - NI
                                - NL
                                - 'NO'
                                - NP
                                - NR
                                - NU
                                - NZ
                                - OM
                                - PA
                                - PE
                                - PF
                                - PG
                                - PH
                                - PK
                                - PL
                                - PM
                                - PN
                                - PR
                                - PS
                                - PT
                                - PW
                                - PY
                                - QA
                                - RE
                                - RO
                                - RS
                                - RU
                                - RW
                                - SA
                                - SB
                                - SC
                                - SD
                                - SE
                                - SG
                                - SH
                                - SI
                                - SJ
                                - SK
                                - SL
                                - SM
                                - SN
                                - SO
                                - SR
                                - SS
                                - ST
                                - SV
                                - SX
                                - SY
                                - SZ
                                - TC
                                - TD
                                - TF
                                - TG
                                - TH
                                - TJ
                                - TK
                                - TL
                                - TM
                                - TN
                                - TO
                                - TR
                                - TT
                                - TV
                                - TW
                                - TZ
                                - UA
                                - UG
                                - UM
                                - US
                                - UY
                                - UZ
                                - VA
                                - VC
                                - VE
                                - VG
                                - VI
                                - VN
                                - VU
                                - WF
                                - WS
                                - XK
                                - YE
                                - YT
                                - ZA
                                - ZM
                                - ZW
                              description: The country code of the person's address.
                              example: GB
                          required:
                            - id
                            - streetName
                            - buildingNumber
                            - buildingName
                            - postcode
                            - city
                            - region
                            - countryCode
                      required:
                        - id
                        - firstName
                        - lastName
                        - middleInitials
                        - dob
                        - gender
                        - nationality
                        - countryOfResidence
                        - primaryEmailAddress
                        - status
                        - locale
                        - productId
                        - avatarId
                        - avatarCdnUrl
                        - preferred2FAMethod
                        - createdAt
                        - updatedAt
                    description: Array of all matching people.
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      firstName: Dolly
                      lastName: Parton
                      title: Master
                      middleInitials: R
                      dob: '1946-01-19'
                      gender: Female
                      nationality: US
                      nationalities:
                        - GB
                      countryOfResidence: US
                      primaryMobileNumber: '+447798121212'
                      primaryEmailAddress: test@equalsqa.com
                      avatar:
                        url: string
                        fileName: string
                      sendInvite: true
                      roleId: 7382d58e-652a-4905-b7c9-bcca1e0e5391
                      verifyEmailAddress: true
                      verifyMobileNumber: true
                      sub: >-
                        8e214819-5c83-429f-a976-eb127a0a8a88 or
                        auth0|12345a6b7890c1def1234dg5
                      hasPeopleCard: true
                      card:
                        id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      status: active
                      locale: en-GB
                      productId: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                      avatarId: ac572b6e-802b-4b9e-a602-0786d4441e67
                      avatarCdnUrl: string
                      emailTheme: string
                      preferred2FAMethod: whatsapp
                      persona: {}
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                      address:
                        id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                        personId: 775596ae-2624-40af-a9dc-9756110a4a04
                        streetName: Great Building
                        buildingNumber: '10'
                        buildingName: Greater Building
                        postcode: SE13UB
                        city: My Town
                        region: Greater London
                        countryCode: GB
      security:
        - CommonAuth:
            - people:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/people?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````